********************************************************************************.
*       PROGRAM: READ_PAU_02.sps                                               *.
*          NOTE: 1) This program reads in the 2002-2003 nonfiscal CCD          *.
*                   Agency Universe Survey data file AG021A.DAT                *.
*                2) Modify the DATA LIST FILE = path below to point to the     *.
*                   location of the data file AG021A.DAT                       *.
*                3) Modify the SAVE OUTFILE path to point to where the SPSS    *.
*                   system data file will be stored                            *.
*                4) Refer to the record layout file for detailed description   *.
*                   of the data elements, variable and value labels            *.
*    WRITTEN BY: Pinkerton Computer Consultants, Inc.,  November 14, 2005      *.
*    UPDATED BY: National Center for Educaiton Statistics                      *.
*  LAST UPDATED: December 29, 2005                                             *.                                                                                           ***.
********************************************************************************.

DATA LIST FILE= 'C:\AGENCY\PAU02\AG021A.DAT' FIXED RECORDS = 1 
/1
LEAID		001 - 007	(A)
FIPST		001 - 002	(A)
STID02	008 - 021	(A)
NAME02	022 - 081	(A)
PHONE02	082 - 091	(A)
MSTREE02	092 - 121	(A)
MCITY02	122 - 151	(A)
MSTATE02	152 - 153	(A)
MZIP02	154 - 158	(A)
MZIP402	159 - 162	(A)
LSTREE02	163 - 192	(A)
LCITY02	193 - 222	(A)
LSTATE02	223 - 224	(A)
LZIP02	225 - 229	(A)
LZIP402	230 - 233	(A)
TYPE02	234 - 234	(A)
UNION02	235 - 237	(A)
CONUM02	238 - 242	(A)
CONAME02	243 - 272	(A)
CSA02		273 - 275	(A)
CBSA02	276 - 280	(A)
METMIC02	281 - 281	(A)
MSC02		282 - 282	(A)
LOCALE02	283 - 283	(A)
BOUND02	284 - 284	(A)
GSLO02	285 - 286	(A)
GSHI02	287 - 288	(A)
AGCHRT02	289 - 289	(A)
SCH02		290 - 294	(F)
TEACH02	295 - 301	(F)
UG02		302 - 308	(F)
PK1202	309 - 315	(F)
MEMBER02	316 - 322	(F)
MIGRNT02	323 - 329	(F)
SPECED02	330 - 336	(F)
ELL02		337 - 343	(F)
PKTCH02	344 - 350	(F)
KGTCH02	351 - 357	(F)
ELMTCH02	358 - 364	(F)
SECTCH02	365 - 371	(F)
UGTCH02	372 - 378	(F)
TOTTCH02	379 - 385	(F)
AIDES02	386 - 392	(F)
CORSUP02	393 - 399	(F)
ELMGUI02	400 - 406	(F)
SECGUI02	407 - 413	(F)
TOTGUI02	414 - 420	(F)
LIBSPE02	421 - 427	(F)
LIBSUP02	428 - 434	(F)
LEAADM02	435 - 441	(F)
LEASUP02	442 - 448	(F)
SCHADM02	449 - 455	(F)
SCHSUP02	456 - 462	(F)
STUSUP02	463 - 469	(F)
OTHSUP02	470 - 476	(F)
TOTDPL02	477 - 482	(F)
AMDPLM02	483 - 488	(F)
AMDPLF02	489 - 494	(F)
AMDPLU02	495 - 500	(F)
ASDPLM02	501 - 506	(F)
ASDPLF02	507 - 512	(F)
ASDPLU02	513 - 518	(F)
HIDPLM02	519 - 524	(F)
HIDPLF02	525 - 530	(F)
HIDPLU02	531 - 536	(F)
BLDPLM02	537 - 542	(F)
BLDPLF02	543 - 548	(F)
BLDPLU02	549 - 554	(F)
WHDPLM02	555 - 560	(F)
WHDPLF02	561 - 566	(F)
WHDPLU02	567 - 572	(F)
TOTOHC02	573 - 578	(F)
AMOHCM02	579 - 584	(F)
AMOHCF02	585 - 590	(F)
AMOHCU02	591 - 596	(F)
ASOHCM02	597 - 602	(F)
ASOHCF02	603 - 608	(F)
ASOHCU02	609 - 614	(F)
HIOHCM02	615 - 620	(F)
HIOHCF02	621 - 626	(F)
HIOHCU02	627 - 632	(F)
BLOHCM02	633 - 638	(F)
BLOHCF02	639 - 644	(F)
BLOHCU02	645 - 650	(F)
WHOHCM02	651 - 656	(F)
WHOHCF02	657 - 662	(F)
WHOHCU02	663 - 668	(F)
IGSLO02	669 - 669	(A)
IGSHI02	670 - 670	(A)
ISCH02	671 - 671	(A)
ITEACH02	672 - 672	(A)
IUG02		673 - 673	(A)
IPK1202	674 - 674	(A)
IMEMB02	675 - 675	(A)
IMIGRN02	676 - 676	(A)
ISPEC02	677 - 677	(A)
IELL02	678 - 678	(A)
IPKTCH02	679 - 679	(A)
IKGTCH02	680 - 680	(A)
IELTCH02	681 - 681	(A)
ISETCH02	682 - 682	(A)
IUGTCH02	683 - 683	(A)
ITOTCH02	684 - 684	(A)
IAIDES02	685 - 685	(A)
ICOSUP02	686 - 686	(A)
IELGUI02	687 - 687	(A)
ISEGUI02	688 - 688	(A)
ITOGUI02	689 - 689	(A)
ILISPE02	690 - 690	(A)
ILISUP02	691 - 691	(A)
ILEADM02	692 - 692	(A)
ILESUP02	693 - 693	(A)
ISCADM02	694 - 694	(A)
ISCSUP02	695 - 695	(A)
ISTSUP02	696 - 696	(A)
IOTSUP02	697 - 697	(A)
ITDPL02	698 - 698	(A)
IAMDPM02	699 - 699	(A)
IAMDPF02	700 - 700	(A)
IAMDPU02	701 - 701	(A)
IASDPM02	702 - 702	(A)
IASDPF02	703 - 703	(A)
IASDPU02	704 - 704	(A)
IHIDPM02	705 - 705	(A)
IHIDPF02	706 - 706	(A)
IHIDPU02	707 - 707	(A)
IBLDPM02	708 - 708	(A)
IBLDPF02	709 - 709	(A)
IBLDPU02	710 - 710	(A)
IWHDPM02	711 - 711	(A)
IWHDPF02	712 - 712	(A)
IWHDPU02	713 - 713	(A)
ITOHC02	714 - 714	(A)
IAMOCM02	715 - 715	(A)
IAMOCF02	716 - 716	(A)
IAMOCU02	717 - 717	(A)
IASOCM02	718 - 718	(A)
IASOCF02	719 - 719	(A)
IASOCU02	720 - 720	(A)
IHIOCM02	721 - 721	(A)
IHIOCF02	722 - 722	(A)
IHIOCU02	723 - 723	(A)
IBLOCM02	724 - 724	(A)
IBLOCF02	725 - 725	(A)
IBLOCU02	726 - 726	(A)
IWHOCM02	727 - 727	(A)
IWHOCF02	728 - 728	(A)
IWHOCU02	729 - 729	(A)
.
FORMAT
	SCH02	(F5.0)
	TEACH02 (F7.1)
	UG02 TO ELL02 (F7.0)
	PKTCH02 TO OTHSUP02 (F7.1)
	TOTDPL02 TO WHOHCU02 (F6.0).
MISSING VALUE
	SCH02 TO WHOHCU02 (-1, -2).

FILE LABEL 'CCD.AGENCY.2002_2003.VERSION 1A'.

VARIABLE LABELS
LEAID		'NCES Assigned Agency ID'
FIPST		'FIPS State Numberic Code'
STID02	'State Assigned Agency ID'
NAME02	'Local Education Agency Name'
PHONE02	'Agency Telephone Number'
MSTREE02	'Mailing Address'
MCITY02	'Mailing City'
MSTATE02	'Mailing FIPS State Alpha Code'
MZIP02	'Mailing ZIP Code'
MZIP402	'Mailing ZIP Code Extension'
LSTREE02	'Location Address'
LCITY02	'Location City'
LSTATE02	'Location FIPS State Alpha Code'
LZIP02	'Location ZIP Code'
LZIP402	'Location ZIP Code Extension'
TYPE02	'Agency Type'
UNION02	'Supervisory Union Number'
CONUM02	'FIPS County Numberic Code'
CONAME02	'County Name'
CSA02		'Combined Statistical Area Code'
CBSA02	'Core Based Statistical Area Code'
METMIC02	'Metropolitan/Micropolitan Code'
MSC02		'Agency Service Area'
LOCALE02	'Agency Locale Code'
BOUND02	'Operational Status'
GSLO02	'Lowest Grade Offered'
GSHI02	'Highest Grade Offered'
AGCHRT02	'Agency Charter Code'
SCH02		'Number Of Schools in the Agency'
TEACH02	'Total Classroom Teachers (from School Univ)'
UG02		'Total Ungraded Students'
PK1202	'Total PK thru 12 Students'
MEMBER02	'Total Calculated Students'
MIGRNT02	'Migrant Students'
SPECED02	'Total Special Ed/IEP Students'
ELL02		'English Language Learner Students'
PKTCH02	'Prekindergarten Teachers'
KGTCH02	'Kindergarten Teachers'
ELMTCH02	'Elementary Teachers'
SECTCH02	'Secondary Teachers'
UGTCH02	'Teachers Of Ungraded Classes'
TOTTCH02	'Total Fte Teachers'
AIDES02	'Instructional Aides'
CORSUP02	'Instructional Coordinators/Supervisors'
ELMGUI02	'Elementary Guidance Counselors'
SECGUI02	'Secondary Guidance Counselors'
TOTGUI02	'Total Guidance'
LIBSPE02	'Librarians/Media Specialists'
LIBSUP02	'Library Media Support Staff'
LEAADM02	'LEA Administrators'
LEASUP02	'LEA Administrators Support Staff'
SCHADM02	'School Administrators'
SCHSUP02	'School Administrators Support Staff'
STUSUP02	'Student Support Services Staff'
OTHSUP02	'All Other Support Staff'
TOTDPL02	'Diploma Recip (Total)'
AMDPLM02	'Diploma Recip (Amer Ind/AK Nat-Male)'
AMDPLF02	'Diploma Recip (Amer Ind/AK Nat-Female)'
AMDPLU02	'Diploma Recip (Amer Ind/AK Nat-Unknown)'
ASDPLM02	'Diploma Recip (Asian/Pac Isl-Male)'
ASDPLF02	'Diploma Recip (Asian/Pac Isl-Female)'
ASDPLU02	'Diploma Recip (Asian/Pac Isl-Unknown)'
HIDPLM02	'Diploma Recip (Hispanic-Male)'
HIDPLF02	'Diploma Recip (Hispanic-Female)'
HIDPLU02	'Diploma Recip (Hispanic-Unknown)'
BLDPLM02	'Diploma Recip (Black-Male)'
BLDPLF02	'Diploma Recip (Black-Female)'
BLDPLU02	'Diploma Recip (Black-Unknown)'
WHDPLM02	'Diploma Recip (White-Male)'
WHDPLF02	'Diploma Recip (White-Female)'
WHDPLU02	'Diploma Recip (White-Unknown)'
TOTOHC02	'Other HS Completers (Total)'
AMOHCM02	'Other HS Complet (Amer Ind/AK Nat-Male)'
AMOHCF02	'Other HS Complet (Amer Ind/AK Nat-Female'
AMOHCU02	'Other HS Complet (Amer Ind/AK Nat-Unknow'
ASOHCM02	'Other HS Complet (Asian/Pac Isl-Male)'
ASOHCF02	'Other HS Complet (Asian/Pac Isl-Female)'
ASOHCU02	'Other HS Complet (Asian/Pac Isl-Unknown)'
HIOHCM02	'Other HS Complet (Hispanic-Male)'
HIOHCF02	'Other HS Complet (Hispanic-Female)'
HIOHCU02	'Other HS Complet (Hispanic-Unknown)'
BLOHCM02	'Other HS Complet (Black-Male)'
BLOHCF02	'Other HS Complet (Black-Female)'
BLOHCU02	'Other HS Complet (Black-Unknown)'
WHOHCM02	'Other HS Complet (White-Male)'
WHOHCF02	'Other HS Complet (White-Female)'
WHOHCU02	'Other HS Complet (White-Unknown)'
IGSLO02	'Agency Low Grade Offered Adj Flag'
IGSHI02	'Agency High Grade Offered Adj Flag'
ISCH02	'Number Of Schools Adj Flag'
ITEACH02	'Number Of Teachers Adj Flag'
IUG02		'Ungraded Students Adj Flag'
IPK1202	'PK Thru 12 Adj Flag'
IMEMB02	'Students Adj Flag'
IMIGRN02	'Migrant Students Adj Flag'
ISPEC02	'Special Ed Iep Students Adj Flag'
IELL02	'English Lang Learner Students Adj Flag'
IPKTCH02	'Prekindergarten Teachers Adj Flag'
IKGTCH02	'Kindergarten Teachers Adj Flag'
IELTCH02	'Elementary Teachers Adj Flag'
ISETCH02	'Secondary Teachers Adj Flag'
IUGTCH02	'Ungraded Teachers Adj Flag'
ITOTCH02	'Total FTE Teachers Adj Flag'
IAIDES02	'Instructional Aides Adj Flag'
ICOSUP02	'Instruct Coordinators/Super Adj Flag'
IELGUI02	'Elementary Guidance Counselor Adj Flag'
ISEGUI02	'Secondary Guidance Counselor Adj Flag'
ITOGUI02	'Total Guidance Counselor Adj Flag'
ILISPE02	'Librarian/Media Specialist Adj Flag'
ILISUP02	'Library Media Support Staff Adj Flag'
ILEADM02	'Lea Administrator Adj Flag'
ILESUP02	'Lea Admin Support Staff Adj Flag'
ISCADM02	'School Admin Adj Flag'
ISCSUP02	'School Admin Support Staff Adj Flag'
ISTSUP02	'Student Support Serv Staff Adj Flag'
IOTSUP02	'All Other Support Staff Adj Flag'
ITDPL02	'Dipl Recip (Total) Adj Flag'
IAMDPM02	'Dipl Recip Amer Ind/AK Nat-Male Adj Flag'
IAMDPF02	'Dipl Recip Amer Ind/AK Nat-Fem Adj Flag'
IAMDPU02	'Dipl Recip Amer Ind/AK Nat-Unk Adj Flag'
IASDPM02	'Dipl Recip Asian/Pac Isl-Male Adj Flag'
IASDPF02	'Dipl Recip Asian/Pac Isl-Fem Adj Flag'
IASDPU02	'Dipl Recip Asian/Pac Isl-Unk Adj Flag'
IHIDPM02	'Dipl Recip Hispanic-Male Adj Flag'
IHIDPF02	'Dipl Recip Hispanic-Female Adj Flag'
IHIDPU02	'Dipl Recip Hispanic-Unknown Adj Flag'
IBLDPM02	'Dipl Recip Black-Male Adj Flag'
IBLDPF02	'Dipl Recip Black-Female Adj Flag'
IBLDPU02	'Dipl Recip Black-Unknown Adj Flag'
IWHDPM02	'Dipl Recip White-Male Adj Flag'
IWHDPF02	'Dipl Recip White-Female Adj Flag'
IWHDPU02	'Dipl Recip White-Unknown Adj Flag'
ITOHC02	'Oth HS Completers (Total) Adj Flag'
IAMOCM02	'Oth HS Compl Am Ind/AK Nat-Male Adj Flag'
IAMOCF02	'Oth HS Compl Am Ind/AK Nat-Fem Adj Flag'
IAMOCU02	'Oth HS Compl Am Ind/AK Nat-Unk Adj Flag'
IASOCM02	'Oth HS Compl Asian/Pac Isl-Male Adj Flag'
IASOCF02	'Oth HS Compl Asian/Pac Isl-Fem Adj Flag'
IASOCU02	'Oth HS Compl Asian/Pac Isl-Unk Adj Flag'
IHIOCM02	'Oth HS Compl Hispanic-Male Adj Flag'
IHIOCF02	'Oth HS Compl Hispanic-Female Adj Flag'
IHIOCU02	'Oth HS Compl Hispanic-Unknown Adj Flag'
IBLOCM02	'Oth HS Compl Black-Male Adj Flag'
IBLOCF02	'Oth HS Compl Black-Female Adj Flag'
IBLOCU02	'Oth HS Compl Black-Unknown Adj Flag'
IWHOCM02	'Oth HS Compl White-Male Adj Flag'
IWHOCF02	'Oth HS Compl White-Female Adj Flag'
IWHOCU02	'Oth HS Compl White-Unknown Adj Flag'
.
VALUE LABELS
/FIPST
'01'  'Alabama'
'02'  'Alaska'
'03'  'American Samoa'
'04'  'Arizona'
'05'  'Arkansas'
'06'  'California'
'08'  'Colorado'
'09'  'Connecticut'
'10'  'Delaware'
'11'  'District of Columbia'
'12'  'Florida'
'13'  'Georgia'
'14'  'Guam'
'15'  'Hawaii'
'16'  'Idaho'
'17'  'Illinois'
'18'  'Indiana'
'19'  'Iowa'
'20'  'Kansas'
'21'  'Kentucky'
'22'  'Louisiana'
'23'  'Maine'
'24'  'Maryland'
'25'  'Massachusetts'
'26'  'Michigan'
'27'  'Minnesota'
'28'  'Mississippi'
'29'  'Missouri'
'30'  'Montana'
'31'  'Nebraska'
'32'  'Nevada'
'33'  'New Hampshire'
'34'  'New Jersey'
'35'  'New Mexico'
'36'  'New York'
'37'  'North Carolina'
'38'  'North Dakota'
'39'  'Ohio'
'40'  'Oklahoma'
'41'  'Oregon'
'42'  'Pennsylvania'
'43'  'Puerto Rico'
'44'  'Rhode Island'
'45'  'South Carolina'
'46'  'South Dakota'
'47'  'Tennessee'
'48'  'Texas'
'49'  'Utah'
'50'  'Vermont'
'51'  'Virginia'
'52'  'Virgin Islands'
'53'  'Washington'
'54'  'West Virginia'
'55'  'Wisconsin'
'56'  'Wyoming'
'58'  'Dept. of Defense (overseas)'
'59'  'Bureau of Indian Affairs'
'60'  'American Samoa'
'61'  'Dept. of Defense (domestic)'
'66'  'Guam'
'69'  'Northern Marianas'
'72'  'Puerto Rico'
'78'  'Virgin Islands'
'M'  'Missing'
'N'  'Not applicable'
/AGCHRT02
'1'  'All assoc. schools are charter schools'
'2'  'All assoc. schools are charter and non-charter'
'3'  'All assoc. schools are non-charter'
'M'  'Missing'
'N'  'Not applicable'
/METMIC02
'0'  'CBSA is equal to 70300 or higher'
'1'  'CBSA is a metropolitan'
'2'  'Does NOT Serve a CBSA'
'M'  'Missing'
'N'  'Not Applicable'
/BOUND02
'1'  'Open - No Change Since Last Report'
'2'  'Closed - Currently Not In Operation'
'3'  'New - Newly Created/Completely Restructured'
'4'  'Added - In existence, Not Reported on Prev. Year'
'5'  'Changed - Significant Change in Boundaries'
'6'  'Inactive - Temporarily Closed & May Reopen within 3 Years'
'7'  'Future - Scheduled to be operational within 2 years'
'M'  'Missing'
'N'  'Not applicable'
/TYPE02
'1'  'Regular LEA'
'2'  'Regular LEA - Component of a Supervisory Union'
'3'  'Supervisory Union Administrative Center'
'4'  'Regional Education Services Agency'
'5'  'State-operated Education Agency'
'6'  'Federally-operated Education Agency'
'7'  'Other Education Agency'
'M'  'Missing'
'N'  'Not Applicable'
/MSC02
'1'  'Primarily serves a principal city of CBSA'
'2'  'Serves a CBSA but not primarily its principal city'
'3'  'Does not serve a CBSA'
'M'  'Missing'
'N'  'Not applicable'
/LOCALE02
'1'  'Large City'
'2'  'Mid-size City'
'3'  'Urban Fringe of Large City'
'4'  'Urban Fringe of Mid-size City'
'5'  'Large Town'
'6'  'Small Town'
'7'  'Rural, outside CBSA'
'8'  'Rural, inside CBSA'
'M'  'Missing'
'N'  'Not Applicable'
/GSLO02
'00'  'No Students Reported'
'01'  '1st Grade'
'02'  '2nd Grade'
'03'  '3rd Grade'
'04'  '4th Grade'
'05'  '5th Grade'
'06'  '6th Grade'
'07'  '7th Grade'
'08'  '8th Grade'
'09'  '9th Grade'
'10'  '10th Grade'
'11'  '11th Grade'
'12'  '12th Grade'
'KG'  'Kindergarten'
'M'   'Missing'
'N'   'Not Applicable'
'PK'  'PreKindergarten'
'UG'  'Ungraded'
/GSHI02
'00'  'No Students Reported'
'01'  '1st Grade'
'02'  '2nd Grade'
'03'  '3rd Grade'
'04'  '4th Grade'
'05'  '5th Grade'
'06'  '6th Grade'
'07'  '7th Grade'
'08'  '8th Grade'
'09'  '9th Grade'
'10'  '10th Grade'
'11'  '11th Grade'
'12'  '12th Grade'
'KG'  'Kindergarten'
'M'   'Missing'
'N'   'Not Applicable'
'PK'  'PreKindergarten'
'UG'  'Ungraded'
/IGSLO02 IGSHI02 ISCH02 ITEACH02 IUG02 IPK1202 IMEMB02	
IMIGRN02 ISPEC02 IELL02 IPKTCH02 IKGTCH02 IELTCH02 ISETCH02
IUGTCH02 ITOTCH02 IAIDES02 ICOSUP02 IELGUI02 ISEGUI02 ITOGUI02 ILISPE02
ILISUP02 ILEADM02 ILESUP02 ISCADM02 ISCSUP02 ISTSUP02 IOTSUP02 ITDPL02	
IAMDPM02 IAMDPF02 IAMDPU02 IASDPM02 IASDPF02 IASDPU02 IHIDPM02
IHIDPF02 IHIDPU02 IBLDPM02 IBLDPF02 IBLDPU02 IWHDPM02 IWHDPF02
IWHDPU02 ITOHC02 IAMOCM02 IAMOCF02 IAMOCU02 IASOCM02 IASOCF02 IASOCU02
IHIOCM02 IHIOCF02 IHIOCU02 IBLOCM02 IBLOCF02 IBLOCU02 IWHOCM02 IWHOCF02
IWHOCU02
'A'   'Adjusted'
'C'   'Combined w/ Data Provided Elsewhere by State'
'I'   'Imputation Based on Method Other Than PY Data'
'N'   'Not Applicable'
'P'   'Imputation Based on prior years data'
'R'   'As reported by the state'
'T'   'Total based on Sum of Internal/External Detail'
.

*** Change OUTFILE directory to where the SPSS system data set will be saved ***.
SAVE OUTFILE 'C:\AGENCY\PAU02\AG021A.sav'/compressed.
EXECUTE.
